/* 
 * dvb_demodulator.h
 *
 * Copyright (C) 2001 Ralph  Metzler <ralph@convergence.de>
 *                    for convergence integrated media GmbH
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef _DVB_DEMODULATOR_H_
#define _DVB_DEMODULATOR_H_

#ifdef __DVB_PACK__
#include <ost/frontend.h>
#else
#include <linux/ost/frontend.h>
#endif

#ifndef I2C_DRIVERID_STV0299
#define I2C_DRIVERID_STV0299 I2C_DRIVERID_EXP0
#endif

#ifndef I2C_DRIVERID_TDA8083 
#define I2C_DRIVERID_TDA8083 I2C_DRIVERID_EXP1
#endif

#ifndef I2C_DRIVERID_L64781 
#define I2C_DRIVERID_L64781 I2C_DRIVERID_EXP2
#endif

typedef struct dvb_demod {
	int type;
	int capabilities;
} dvb_demod_t;

#define DVB_SET_FRONTEND        _IOW('v',  BASE_VIDIOCPRIVATE+0x10, struct frontend)
#define DVB_GET_FRONTEND        _IOR('v',  BASE_VIDIOCPRIVATE+0x11, struct frontend)
#define DVB_INIT_FRONTEND       _IOR('v',  BASE_VIDIOCPRIVATE+0x12, void)
#define DVB_RESET               _IOR('v',  BASE_VIDIOCPRIVATE+0x13, void)
#define DVB_WRITEREG            _IOR('v',  BASE_VIDIOCPRIVATE+0x14, u8 *)
#define DVB_READREG             _IOR('v',  BASE_VIDIOCPRIVATE+0x15, u8 *)

#endif
